APP_NAME = Gitea: Git with a cup of tea
RUN_MODE = prod
RUN_USER = git

[repository]
ROOT = /data/git/repositories

[repository.local]
LOCAL_COPY_PATH = /data/gitea/tmp/local-repo

[repository.upload]
TEMP_PATH = /data/gitea/uploads

[server]
APP_DATA_PATH    = /data/gitea
DOMAIN           = gitea.reymota.es
SSH_DOMAIN       = gitea.reymota.es
HTTP_PORT        = 3000
ROOT_URL         = http://gitea.reymota.es/
DISABLE_SSH      = false
SSH_PORT         = 22
SSH_LISTEN_PORT  = 22
LFS_START_SERVER = true
LFS_CONTENT_PATH = /data/git/lfs
LFS_JWT_SECRET   = 6ModusVwufuDW1L7Zc0qpTzKpPvUgUvrLoSL06Rjnzw
OFFLINE_MODE     = false

[database]
PATH     = /data/gitea/gitea.db
DB_TYPE  = postgres
HOST     = db
NAME     = gitea
USER     = creylopez
PASSWD   = Dsa-0213
LOG_SQL  = false
SCHEMA   = 
SSL_MODE = disable
CHARSET  = utf8

[indexer]
ISSUE_INDEXER_PATH = /data/gitea/indexers/issues.bleve

[session]
PROVIDER_CONFIG = /data/gitea/sessions
PROVIDER        = file

[picture]
AVATAR_UPLOAD_PATH            = /data/gitea/avatars
REPOSITORY_AVATAR_UPLOAD_PATH = /data/gitea/repo-avatars
DISABLE_GRAVATAR              = false
ENABLE_FEDERATED_AVATAR       = true

[attachment]
PATH = /data/gitea/attachments

[log]
MODE                 = console
LEVEL                = info
REDIRECT_MACARON_LOG = true
MACARON              = console
ROUTER               = console
ROOT_PATH            = /data/gitea/log

[security]
INSTALL_LOCK   = true
SECRET_KEY     = dQGbKrt11gvXjFhgQBii8GEHcSeOvwnYgzOZzDWCYEkYCK2VBen3leTCrm4wj51C
INTERNAL_TOKEN = eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJuYmYiOjE3MjQzMTY3NzB9.OIOG6TZy5BggmK13E03esKO3pSwNnGm7Xpu4lrXtNu4

[service]
DISABLE_REGISTRATION              = false
REQUIRE_SIGNIN_VIEW               = false
REGISTER_EMAIL_CONFIRM            = false
ENABLE_NOTIFY_MAIL                = false
ALLOW_ONLY_EXTERNAL_REGISTRATION  = false
ENABLE_CAPTCHA                    = false
DEFAULT_KEEP_EMAIL_PRIVATE        = false
DEFAULT_ALLOW_CREATE_ORGANIZATION = true
DEFAULT_ENABLE_TIMETRACKING       = true
NO_REPLY_ADDRESS                  = noreply.gitea.reymota.es

[oauth2]
JWT_SECRET = N01RzNp7lfiQuJyCpWYPzQwriBAFYwtZ-Gjt7XaW3Qw

[mailer]
ENABLED        = true
FROM           = "Administrador de Gitea" <celestino_rey@ymail.com>
HOST           = smtp.mail.yahoo.com:465
SMTP_ADDR      = smtp.mail.yahoo.com
SMTP_PORT      = 465
USER           = celestino_rey@ymail.com
PASSWD         = 'kbryvwxkockqckss'

[openid]
ENABLE_OPENID_SIGNIN = true
ENABLE_OPENID_SIGNUP = true

